Debian-Sicherheitsankündigung

DSA-1028-1 libimager-perl -- Programmierfehler

Datum des Berichts:
07. Mär 2006
Betroffene Pakete:
libimager-perl
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 359661.
In Mitres CVE-Verzeichnis: CVE-2006-0053.
Weitere Informationen:

Kjetil Kjernsmo entdeckte einen Fehler in libimager-perl, einer Perl-Erweiterung zum Erstellen von 24-Bit-Bildern, der einen Speicherzugriffsfehler zur Folge haben kann, wenn 4-kanälige JPEG-Bilder bearbeitet werden.

Die alte Stable-Distribution (Woody) enthält dieses Paket nicht.

Für die Stable-Distribution (Sarge) wurde dieses Problem in Version 0.44-1sarge1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 0.50-1 behoben.

Wir empfehlen Ihnen, Ihr libimager-perl-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1.dsc
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1.diff.gz
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.